%define srcname pbr

Name:           python-%{srcname}
Version:        1.8.1
Release:        1%dist
Summary:        Python Build Reasonableness

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/pbr
Source0:        http://pypi.python.org/packages/source/p/pbr/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme 

%description
PBR is a library that injects some useful and sensible default 
behaviors into your setuptools run. It started off life as the 
chunks of code that were copied between all of the OpenStack 
projects. Around the time that OpenStack hit 18 different projects 
each with at least 3 active branches, it seems like a good time to 
make that code into a proper re-usable library.

%prep
%setup -q -n %{srcname}-%{version}

%build
python setup.py build
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
python setup.py install --root=%{buildroot}

%files
%doc html README.rst LICENSE
%{python_sitelib}/pbr*
%{_bindir}/pbr
